plotView-class {MVCClass} | R Documentation

## Class "plotView": A virtual class to represent a plot view

### Description

plotView is a virtual class to represent a view that is a plot. Any particular types of plots can inherit from this class. For instance, sPlotView, is a class that inherits from plotView and represents a scatterplot view.

### Objects from the Class

A virtual Class: No objects may be created from it.

### Slots

`plotDevice`:
  the plot device number
`plotPar`:
  the parameter list for the plot, see par()
`drArea`:
  an object of class `"GtkDrawingArea"`
`dataName`:
  a character string describing what data are shown in the view
`win`:
  an object of class `"GtkWindow"` that holds the view
`winNum`:
  a number that tells what number view this is (for example, the first view created will have winNum=1)

### Extends

Class `"genView"`, directly.

### Methods

drArea<-
  Sets the `drArea` slot
drArea
  Returns the `drArea` slot
plotDevice<-
  Sets the `plotDevice` slot
plotDevice
  Returns the `plotDevice` slot
plotPar<-
  Sets the `plotPar` slot
plotPar
  Returns the `plotPar` slot

Also, all classes that inherit from plotView will have clickEvent and motionEvent methods. The clickEvent method will be called whenever a user clicks on the plot and the motionEvent method will be called whenever a user moves the cursor over the plot. These methods will be defined in packages that use this package, such as iSPlot and iSNetwork. Note that the clickEvent method will also be defined for the spreadView class and this will correspond to a user selecting a row on the spreadsheet.

### Author(s)

Elizabeth Whalen

### See Also

`genView-class`, `sPlotView-class`

### Examples

[Package MVCClass version 1.10.0 Index]